package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 支付渠道
 *
 * @author: hzs
 */
@AllArgsConstructor
@Getter
public enum EPayChannel {

    /**
     * 通联
     */
    ALLIN(3, "通联", 0, EnumsPrefixConstants.PAY_CHANNEL + "3"),

    /**
     * 京东
     */
    JD(4, "京东", 0, EnumsPrefixConstants.PAY_CHANNEL + "4"),

    /**
     * 新汇付
     */
    HUIFU(8, "新汇付", 0, EnumsPrefixConstants.PAY_CHANNEL + "8"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    /**
     * 根据值获取枚举
     *
     * @param value
     * @return
     */
    public static EPayChannel getEnumByValue(int value) {
        for (EPayChannel enums : EPayChannel.values()) {
            if (enums.getValue() == value) {
                return enums;
            }
        }
        return null;
    }

    public static String getLabelByValue(int value) {
        for (EPayChannel enums : EPayChannel.values()) {
            if (enums.getValue() == value) {
                return enums.getLabel();
            }
        }
        return "";
    }

}
